JBoss Rules v4.0.7 is incompatible with Eclipse v3.3 or higher. However there is a simple workaround. Run the following commands:
export ECLIPSE_PLUGINS=/home/medined/Desktop/eclipse-3.4/plugins
ln -s 
  $ECLIPSE_PLUGINS/org.eclipse.jdt.core_3.4.0.v_874.jar 
  $ECLIPSE_PLUGINS/org.drools.eclipse_4.0.7/lib